View Issue Details

IDProjectCategoryLast Update
0027240AI War 2Gameplay IssueMay 4, 2022 10:10 am
ReporterDismiss Assigned Totom.prince  
Severityminor 
Status assignedResolutionreopened 
Product Version5.006 End To Spontaneous Combustion 
Fixed in Version5.007 The Reasonable Architrav 
Summary0027240: make super terminal untargetable by player
DescriptionI have accidentally killed the superterminal 5 times in a row trying to micro the battle, by right clicking on it. Its selection radius is huge and there is no reason to ever need to shoot at it as a player. If you want to cancel the hack, there's a more explicit way to do that already.

In particular its a normal fleet micro thing to do, to right click during a battle in the center of mass of the conflict, to keep your fleet from spreading out and reducing the density of fire. In this case the center IS the super terminal which if you click blows it up -- something a player never 'needs' to be able to do.
TagsNo tags attached.

Activities

Strategic Sage

May 2, 2022 7:02 am

reporter   ~0066580

Strong disagree. The player being able to target the superterminal has always been one way to stop the hack. This option should be retained.

Lord Of Nothing

May 2, 2022 8:48 am

reporter   ~0066582

You can just cancel the hack, though, can't you?

Strategic Sage

May 2, 2022 9:02 am

reporter   ~0066583

Yes. I think players should be able to do it both ways though - it's the only hack that works that way and it's not obvious to a lot of players that can be done. Also, being careful not to destroy something by giving your ships an attack order to shoot at it is a pretty essential and common part of the game. I don't think the superterminal needs to be an exception to that.

crawlers

May 2, 2022 1:06 pm

reporter   ~0066585

It would be nice to have quality of life things like this to avoid the player accidentally screwing themselves over due to a misclick.

Strategic Sage

May 3, 2022 8:07 am

reporter   ~0066597

I wouldn't call this QoL - the proposed change appears to me to be a clear net negative on that front.

BadgerBadger

May 3, 2022 3:49 pm

manager   ~0066601

Last edited: May 3, 2022 3:51 pm

Yeah, I don't like this change. I always click the ST to blow it up.

An important thing to keep in mind is some players run close to the edge on "How long can I let this go before the hacking response is too strong". If you are trying to click to blow it up and it that isn't working, that could be enough to lose you the battle and potentially the game.

Daniexpert

May 3, 2022 6:04 pm

manager   ~0066602

Having two ways to do it instead of only one feels better.
We could try instead to reduce slightly the selection radius.

trabbo

May 3, 2022 7:53 pm

reporter   ~0066604

Speaking of multiple ways to do things, @crawlers, you can assign attack orders from the planet view sidebar. This makes it easier to click on the ship you want when there are many ships crowded in one area. This is my preferred method for prioritizing certain targets during a hacking response.

Dismiss

May 4, 2022 10:10 am

reporter   ~0066605

I'd take reducing the selection radius as a minor win.

I still think its unnecessary to cancel the hack this way there is no reason to think the player would even know its destructible by them, most hack structures aren't. If they wanted to cancel it that way the most likely thing they'd do is destroy the ai's station since that's what is mentioned in the tooltip. Or cancel it the same way they have canceled any other hack.

Issue History

Date Modified Username Field Change
May 1, 2022 8:18 pm Dismiss New Issue
May 1, 2022 8:21 pm Dismiss Description Updated
May 2, 2022 7:02 am Strategic Sage Note Added: 0066580
May 2, 2022 8:48 am Lord Of Nothing Note Added: 0066582
May 2, 2022 9:02 am Strategic Sage Note Added: 0066583
May 2, 2022 1:06 pm crawlers Note Added: 0066585
May 2, 2022 4:03 pm tom.prince Assigned To => tom.prince
May 2, 2022 4:03 pm tom.prince Status new => resolved
May 2, 2022 4:03 pm tom.prince Resolution open => fixed
May 2, 2022 4:03 pm tom.prince Fixed in Version => 5.007 The Reasonable Architrav
May 3, 2022 8:07 am Strategic Sage Note Added: 0066597
May 3, 2022 3:49 pm BadgerBadger Note Added: 0066601
May 3, 2022 3:51 pm BadgerBadger Note Edited: 0066601
May 3, 2022 6:04 pm Daniexpert Status resolved => feedback
May 3, 2022 6:04 pm Daniexpert Resolution fixed => reopened
May 3, 2022 6:04 pm Daniexpert Note Added: 0066602
May 3, 2022 7:53 pm trabbo Note Added: 0066604
May 4, 2022 10:10 am Dismiss Note Added: 0066605
May 4, 2022 10:10 am Dismiss Status feedback => assigned